- [HTTP request](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/appendStreamMessageContent#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/appendStreamMessageContent#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/appendStreamMessageContent#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/appendStreamMessageContent#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/appendStreamMessageContent#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/appendStreamMessageContent#body.aspect)
- [Try it!](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/appendStreamMessageContent#try-it)

<br />

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

Appends content chunks to an existing stream message in a Google Chat space.

<br />

Requires [app authentication](https://developers.google.com/workspace/chat/authenticate-authorize-chat-app) with the authorization scope:

- `https://www.googleapis.com/auth/chat.bot`

### HTTP request

`POST https://chat.googleapis.com/v1/{name=spaces/*/streamMessages/*}:appendStreamMessageContent`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the stream message to append content to. Format: `spaces/{space}/streamMessages/{streamMessage}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "chunkToken": string, "progressText": string, "streamContentChunks": [ { object (`https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages#StreamContentChunk`) } ] } ``` |

| Fields ||
|---|---|
| `chunkToken` | `string` Required. Token for appending the next chunk of content, obtained from the `nextChunkToken` field of the previous stream response. |
| `progressText` | `string` Optional. Updated plain-text progress status for the stream message. Maximum length is 250 characters. If omitted or empty, the existing `progressText` is preserved. |
| `streamContentChunks[]` | ``object (`https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages#StreamContentChunk`)`` Required. A list of chunks to append to the message. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages#StreamMessage`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chat.bot`
- `https://www.googleapis.com/auth/chat.messages`

For more information, see the [Authorization guide](https://developers.google.com/workspace/chat/authenticate-authorize).